﻿@model DataBaseFinalProject.ViewModels.CreateExpenseTransactionViewModel

@{
    ViewBag.Title = "Creating Expense";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            @using (Html.BeginForm("Create", "ExpenseTransaction", FormMethod.Post))
            {
                <div class="form-group mb-3">
                    <label for="ClientId" class="form-label">Choose User:</label>
                    <select id="ClientId" name="ExpenseTransaction.UserId" class="form-select">
                        <option value="">Choose user</option>
                        @foreach (var user in Model.Users)
                        {
                            <option value="@user.Id">@user.Nickname</option>
                        }
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label for="CategoryId" class="form-label">Choose Category:</label>
                    <select id="CategoryId" name="ExpenseTransaction.CategoryId" class="form-select">
                        <option value="">Choose category</option>
                        @foreach (var expenseCategory in Model.ExpenseCategories)
                        {
                            <option value="@expenseCategory.Id">@expenseCategory.Name</option>
                        }
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="ExpenseTransaction.Amount" class="form-label">Amount:</label>
                    <input asp-for="ExpenseTransaction.Amount" class="form-control" placeholder="Enter amount"/>
                    <span asp-validation-for="ExpenseTransaction.Amount" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="ExpenseTransaction.Description" class="form-label">Description:</label>
                    <input asp-for="ExpenseTransaction.Description" class="form-control" placeholder="Enter description"/>
                    <span asp-validation-for="ExpenseTransaction.Description" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="ExpenseTransaction.CreatedAt" class="form-label">Created At:</label>
                    <input asp-for="ExpenseTransaction.CreatedAt" class="form-control" placeholder="Enter creation date"/>
                    <span asp-validation-for="ExpenseTransaction.CreatedAt" class="text-danger"></span>
                </div>

                <button type="submit" class="btn btn-primary w-100">Create Expense</button>
            }
        </div>
    </div>
</div>

@section Scripts {
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
}